Description

If a selection is drawn all the way to the bottom of the viewport, then the icons for confirmation and cancellation are drawn below the
boundary of the viewport.

Once solution is to draw them inside the rectangle, rather than outside it. This allows us to be sure we can see them at all times, at
the cost of perhaps being less than pretty.

Another option is to place them elsewhere only when this occurs. This would require the painting logic of the Selectangle class to
have knowledge of its container, which is also less than desirable.

Currently I'm inclined to go with the first option, as it's easier to implement.

History

#1 - 02/24/2009 05:56 AM - Ryan McFall

Changed to client-prototype because this is not really crucial; it may come up during testing, but only if images are at the very bottom of a page.

#2 - 09/30/2009 11:10 AM - Ryan McFall

Sandeep, go ahead and take a look at this. If you need guidance on where to start, let me know and I'll dig around in the code a bit.
#3 - 10/02/2009 04:19 PM - Sandeep Namilikonda

Ryan, | was able to make the cancel/confirm buttons appear within the rectangle.

e.g., iconBase.y -= CONFIRM_ICON_SIZE;

| also made appropriate changes to getLocationIinRectangle() so that correct

clickLocation.RECTANGLE is returned when the buttons are clicked.

But, the rectangles that are used to track click location coincide with the

rectangle selection area, thereby effectively preventing the user from confirming or canceling the selected area.

Any quick ideas?

#4 - 10/06/2009 12:22 PM - Ryan McFall

I'm not quite sure what you mean by:

"But, the rectangles that are used to track click location coincide with the

rectangle selection area, thereby effectively preventing the user from confirming or canceling the selected area."

Does this mean that the code thinks that clicking inside the rectangle is initiation of the move operation? It's been a while since | looked at this code.

Perhaps having the rectangle drawn above or to the left of the selection in the case where it's at the bottom of the viewport would be sufficent.
There'd have to be some changes to determining where the icons are, but I'd think those wouldn't be too bad.

#5 - 11/03/2009 01:23 PM - Sandeep Namilikonda

Made changes to code that Ryan suggested and checked in to CVS. The fix seems satisfactory. So, | am closing this bug.

#6 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3717
